%{!?python_sitelib: %define python_sitelib %(%{__python} -c "from distutils.sysconfig import get_python_lib; print get_python_lib()")}

Name:           python-flickrapi
Version:        1.4.2
Release:        8%{?dist}
Summary:        Python module for interfacing with the Flickr API

Group:          Development/Languages
License:        Python
URL:            http://stuvel.eu/flickrapi
Source0:        http://pypi.python.org/packages/source/f/flickrapi/flickrapi-%{version}.zip
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

Patch0:         setuptools.patch

BuildArch:      noarch
BuildRequires:  python-devel, python-setuptools, python-docutils


%description
A Python module for interfacing with the Flickr API.


%prep
%setup -q -n flickrapi-%{version}
%patch0 -p1 -b .setuptools
rm -v distribute_setup.py

%build
%{__python} setup.py build
make -C doc


%install
rm -rf %{buildroot}
%{__python} setup.py install -O1 --skip-build --root %{buildroot}
rm -rf %{buildroot}/%{_docdir}/*
sed -i -e "s|#!/usr/bin/env python||" %{buildroot}/%{python_sitelib}/flickrapi/__init__.py


%clean
rm -rf %{buildroot}


%files
%defattr(-,root,root,-)
%doc README LICENSE doc/documentation.css doc/index.html doc/index.rst doc/html4css1.css
%{python_sitelib}/*
%exclude /usr/LICENSE
%exclude /usr/README
%exclude /usr/UPGRADING

%changelog
* Thu Jun 18 2015 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.4.2-8
- Rebuilt for https://fedoraproject.org/wiki/Fedora_23_Mass_Rebuild

* Sat Jun 07 2014 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.4.2-7
- Rebuilt for https://fedoraproject.org/wiki/Fedora_21_Mass_Rebuild

* Sun Aug 04 2013 Maxim Burgerhout <wzzrd@fedoraproject.org.> 1.4.2-6
- Fixing breakage caused by distribute

* Sun Aug 04 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.4.2-5
- Rebuilt for https://fedoraproject.org/wiki/Fedora_20_Mass_Rebuild

* Thu Feb 14 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.4.2-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_19_Mass_Rebuild

* Sat Jul 21 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.4.2-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_18_Mass_Rebuild

* Sat Jan 14 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.4.2-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_17_Mass_Rebuild

* Thu Mar 24 2011 Maxim Burgerhout <wzzrd@fedoraproject.org> - 1.4-1
- "New" upstream release
- Using auth_callback=False when authentication is actually required now raises
  a FlickrError exception.
- The implementation uses self.flickr_host so that subclasses can override the
  API URLs.
- Support for short URLs was added.
- Changed source url to .zip because .tar.gz no longer seems to be available

* Tue Feb 08 2011 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.3-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_15_Mass_Rebuild

* Thu Jul 22 2010 David Malcolm <dmalcolm@redhat.com> - 1.3-3
- Rebuilt for https://fedoraproject.org/wiki/Features/Python_2.7/MassRebuild

* Sun Jan 24 2010 Ian Weller <ian@ianweller.org> - 1.3-2
- rebuild with inclusion of new tarball

* Sun Jan 24 2010 Ian Weller <ian@ianweller.org> - 1.3-1
- 1.3

* Sun Jul 26 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.2-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_12_Mass_Rebuild

* Thu Feb 26 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.2-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_11_Mass_Rebuild

* Wed Dec 17 2008 Ian Weller <ianweller@gmail.com> 1.2-1
- 1.2
- Update URL and Source0 locations

* Tue Nov 11 2008 Ian Weller <ianweller@gmail.com> 1.1-5
- More specfile cleanup

* Wed Oct 22 2008 Ian Weller <ianweller@gmail.com> 1.1-4
- Remove python_sitearch variable
- Some specfile cleanup

* Tue Aug 05 2008 Kushal Das <kushal@fedoraproject.org> 1.1-3
- Fixed sha-bang in __init__.py

* Mon Aug 04 2008 Kushal Das <kushal@fedoraproject.org> 1.1-2
- Fixed build requires and %%files section

* Sun Aug 03 2008 Kushal Das <kushal@fedoraproject.org> 1.1-1
- Initial release
